Show / Hide Table of Contents

# ICancelPromise Interface

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public interface ICancelPromise

### Members

#### Methods

Name | Description
--- | ---
TrySetCanceled(CancellationToken) |

### Methods

#### TrySetCanceled(CancellationToken)

    bool TrySetCanceled(CancellationToken cancellationToken = null)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

System.Boolean